Skip to content

Get Customer

Request

This endpoint retrieves the customer's profile information. This can be for an individual or a business.

It returns a Customer object which can be either an Individual or a Business object, containing details like name, address, email, and account_status.

Security
CodeBearer(Required scopes: customer.read)
curl -i -X GET \
  https://customer-api.sandbox-api.jikoservices.com/api/v1/customer/ \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
addressobject(GeneralAddress)required
emailstring(Email)required
phone_numberstring(Phone Number)required
account_statusstring(Account Status)required
Enum:"OPEN""CLOSED""FROZEN""PENDING"
typestring(Type)required
Enum:"BUSINESS""INDIVIDUAL"
Discriminator
Value:"BUSINESS"
namestring(Name)required
identification_numberobject(BusinessIdentificationNumber)required
Response
{ "address": { "street_address": "string", "street_address2": "string", "city": "string", "postal_code": "string", "state": "string", "country": "string" }, "email": "string", "phone_number": "string", "account_status": "OPEN", "type": "BUSINESS", "name": "string", "identification_number": { "identification_number": "string", "issuing_country": "string", "type": "TIN" } }